Asterisk 11

On October 25th Asterisk 11 has been officially released. It seems to be working well on the RPi so far. If you want to give it a try, install it with:

apt-get update
apt-get install asterisk11 freepbx

The latter will also install the latest FreePBX version 2.11.0beta1, which is compatible with Asterisk 11. The Asterisk package contains version 11.0.1. After installing the packages above, you will get continuous updates with apt-get dist-upgrade in the future.

To make the commands above work, you need to have the latest version from the downloads page, or at least the September version with upgrades installed.

Asterisk 11 and the latest FreePBX is still to be tested on the RPi. If you like to join the testing, your results and comments are highly appreciated!

P.S.: When upgrading from Asterisk 11.0.0 with apt-get dist-upgrade run

apt-get -f install

to fix some changed dependencies in the new Asterisk 11 packages.

42 thoughts on “Asterisk 11

  1. Great work!!! Been playing with it for days and can’t put it down. I do have a question though. I can’t seem to find the Asterisk Source for Asterisk 11 in the usr/src directory. Do I just need to pull them down from somewhere? Thanks for your help.

    • This command (one line) remove most of the installation:

      sudo apt-get --auto-remove purge asterisk11 raspbx-config apache2 php5 php5-cli mysql-server freepbx

      Unfortunately there is no complete uninstaller for the Pi Store edition yet…

  2. Just got the latest image installed and installed the latest update from FreePBX. So far so good. The only other thing I did do was run an update on raspi-config, but that’s not really related to the pbx side.

  3. After upgrading to Asterisk 11 the system didn’t work anymore. It got a lot of error messages. Like symlink errors, ring groups didn’t work anymore and other errors.

    I used this command to upgrade: apt-get -f install asterisk11 freepbx.

    Somebody managed an upgrade from a fully configured system? how?

    • I’ve checked this myself and it works quite well for me. All the settings are still there after the upgrade and they are working fine. Ring groups are working as well.
      The only issue that came up was a message about “symlink from modules failed” for these files in /etc/asterisk: cel.conf cel_odbc.conf and res_odbc.conf
      So I just renamed them manually, then after the next “Apply Config” symlinks appeared correctly and the message disappeared.
      When installing the freepbx package upgrades are performed by calling the FreePBX upgrade scripts. This will also install the latest versions of all modules from the FreePBX repository.

      If you have a list of error messages please post them on the forum and I’ll try to help if I can. I suppose you are upgrading at least from the September (Raspbian based) version, not from an earlier one?

    • I did the upgrade from 1.8.3 to Asterix 11, mid november, and is still working fine with no glitch. In fact, I don’t see too much difference!. Connected to 4 different trunks, 1 in IAX, 3 in SIP, one of them being a SPA-400, and 4 different extensions.

      My only unsolved problem is a few line drop. For job purpose I have to be on long conference calls, (many hours…), and sometime the line just drop. I don’t see any reason, no silence, no specific duration, nothing like 30 or 90 minutes. These dropped calls didn’t happened when I was running asterisk from the P4 server (with the same SIP servers). I didn’t run 1.8 long enough to remember if the dropped was there.

      I use 2x 32GB SD card, and swap them when I do an upgrade. First I copy them (dd), then upgrade. I like to stay on the safe side, and keep a retreat path :-)

      • – Is your power supply strong enough? There are random problems with Raspberry under heavy network load and weak (low cost) power supply. Check this first.
        – Increase debugging and verbose level and have a look at the log files at the second the line drop happens.

  4. Yes I am quite sure 😉 Please help 😉 What can i do to check installation? When I try to load the module I get it ain’t compiled.

    Can you perhaps give me the sudo apt-get install command?

    • It is vey strange you have this problem. Try to flash the image once again on your card. Download it here, then unzip and flash it. After booting log in as root and issue these commands:
      asterisk -r
      module show like cdr_mysql
      The output should show up like this:
      Module Description Use Count
      cdr_mysql.so MySQL CDR Backend 0
      1 modules loaded

      • Hey! 😉 Okay.. I can try that, though isn’t there a command that I can compile the cdr_mysql in? thnx!

        • Cdr_mysql is already compiled and shipped with RasPBX since last July. If you have a recent image and still the module is not there, it could be data corruption on your card.

  5. HI Gernot,

    I am using your raspberry-asterisk release, latest one.
    However the module isn’t loaded for CDR. CDR_Mysql is missing.

    How can I get this?

    Thnx

    • Are you sure you have the latest RasPBX dated Nov. 4th? I’ve checked this once again, but the module cdr_mysql is definitely loaded and working.

  6. The following NEW packages will be installed:
    asterisk11
    0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
    Need to get 0 B/4,669 kB of archives.
    After this operation, 12.4 MB of additional disk space will be used.
    Do you want to continue [Y/n]? Y
    debconf: delaying package configuration, since apt-utils is not installed
    (Reading database … 35409 files and directories currently installed.)
    Unpacking asterisk11 (from …/asterisk11_11.1.0-1_armhf.deb) …
    dpkg: error processing /var/cache/apt/archives/asterisk11_11.1.0-1_armhf.deb (–unpack):
    trying to overwrite ‘/usr/share/man/man8/astgenkey.8.gz’, which is also in package asterisk 1:1.8.13.1~dfsg-1
    dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
    Processing triggers for man-db …
    Errors were encountered while processing:
    /var/cache/apt/archives/asterisk11_11.1.0-1_armhf.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    root@raspbx:~#

    😉 I am getting this error when I upgrade from the latest version!

    • It seems you have installed the asterisk 1.8.13 package from the official Raspbian repository. The asterisk11 package however comes from the RasPBX repository. I have named it differently to not interfer with the Raspbian packages. You cannot install both of them on one system, there will be a conflict.

      To fix this remove the asterisk package first:
      apt-get purge asterisk
      Eventually you need to manually remove also any depending packages. Then install the asterisk11 package:
      apt-get install asterisk11

      Maybe you need to try a few things until the conflicts are resolved. If it does not work out start again from a fresh RasPBX image. You can transfer all your settings with the Backup and Restore FreePBX module.

      • I tried apt-get install asterisk11, but I am getting Unable to locate package asterisk11
        is the spelling is right?

        • The spelling is right. You might not have the RasPBX repository installed, that’s why it is not working. Make sure to have the latest image from the downloads page or at least the September version with upgrades installed.

    • Asterisk 11 is working very well so far, according to my own tests. But FreeBPX 2.11 is still in beta stage, I am waiting for updates from the developers. I want to completely move to Asterisk 11 and FreePBX 2.11 once there is a final release.

      • Thanks.

        Still using your good work for my small SOHO as well as extensions in other countries :) It’s yet to put a foot wrong.
        Waiting patiently for the new updates.

        Is the gui any quicker? I’ve overclocked my RPi to 870 and it’s not _bad_ but I would not mind it a bit snappier. Have they improved the GUI speed at all? I would not have thought so because it’s normally run on “normal” hardware 😐

        Add a donate button and I’ll click it :)

        Cheers,
        Crispin

        • GUI speed has not improved, the only thing you can do here so far is overclocking. Up to 1GHz is possible, but you need to watch out for data corruption on the SD card. When experimenting with this make sure to have a backup of all your settings, then slowly step up CPU clock until you see strange messages on the console. It is probably also worth trying a few different cards until you find one that better handles the higher speed.

  7. I bought a 2Amp usb charger and still the apt-get updates “hang” and the pi restarts….. have i done something wrong?

    • First make sure the file /etc/sysctl.conf contains the line
      vm.min_free_kbytes = 16384
      This line is added with upgrade #4, and also contained in the latest image from the downloads page. I had the same problems as you do, frequent crashes with apt-get update. But after adding this line the crashes completely went away.
      Also make sure to have the latest firmware and drivers by calling rpi-update.

      Then unfortunately not all power supplies are equally well stabilized. Some are not suitable for the RPi, even if they have a high current rating. Maybe you need to try a few. I am using one rated 700mA only, but I have nothing connected on the USB port.

  8. This build works with GVoice again, using the built in configuration. Awesome.

    I seem to have bricked my Pi and broken my installation a few times running apt-get dist-upgrade, which updates several files but on reboot leaves my filesystem read-only. I’d love to look into it further when I have a second and create an image backup of my card..

    • Thanks for letting us know. When apt-get bricked your Pi, did it show any error message? Is it possible there was no space left on your root file system when installing the new sound packages?
      I’ve been testing installation of the new Asterisk 11 packages several times. Let me know if I need to fix something.

  9. Just asking me if it is may be possible to create a *doorphone* with this projekt:

    Outside: RaspberryPi with a small microphone and a small webcam. This raspberry acts as a SIP Client (and also as asterisk server if no other (inside) available). There should be also a button which is typical for a bell. If somebody is pressing this button, the sip client (raspberrypi) is calling an extention (the internal tablet).

    Inside: Tablet (I prefer Android) with a SIP client which is ringing if somebody outside click on the button.

    I am currently not sure:
    1. How is it possible to call an extention (the tablet) if somebody is pressing the bell button. I think I need some hardware connected to the raspberry.
    2. Is it also possible to forward the video (from the outside installed webcam) to the extention (internal tablet)?
    3. optional: forward call+video to a mobile phone (other extention)
    4. optional: open door (from internal tablet or from mobile phone)

    Any ideas are welcome!

  10. Is there a way to double check which version you are running? Also how do I set a static IP address?

    • Run asterisk -rvvv on the console or install the FreePBX module “Asterisk Info” to see the version from the GUI as well. Check this post in the forum for setting static IPs.

  11. Is it possible to enable the DPMA for use with the new Digium phones. It would complete the satellite office setup.

    Thanks for all your great work. I have just begun using your setup and so far it is working great.